/**
 * @license
 * Copyright Alibaba.com All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/NG-ZORRO/ng-zorro-antd/blob/master/LICENSE
 */
import { Overlay } from '@angular/cdk/overlay';
import { Injector, TemplateRef } from '@angular/core';
import { NzSingletonService } from 'ng-zorro-antd/core';
import { NzNotificationContainerComponent } from './notification-container.component';
import { NzNotificationData, NzNotificationDataFilled, NzNotificationDataOptions } from './typings';
import * as i0 from "@angular/core";
export declare class NzNotificationService {
    private nzSingletonService;
    private overlay;
    private injector;
    private name;
    protected container: NzNotificationContainerComponent;
    remove(messageId?: string): void;
    createMessage(message: NzNotificationData, options?: NzNotificationDataOptions): NzNotificationDataFilled;
    protected generateMessageId(): string;
    private withContainer;
    constructor(nzSingletonService: NzSingletonService, overlay: Overlay, injector: Injector);
    success(title: string, content: string, options?: NzNotificationDataOptions): NzNotificationDataFilled;
    error(title: string, content: string, options?: NzNotificationDataOptions): NzNotificationDataFilled;
    info(title: string, content: string, options?: NzNotificationDataOptions): NzNotificationDataFilled;
    warning(title: string, content: string, options?: NzNotificationDataOptions): NzNotificationDataFilled;
    blank(title: string, content: string, options?: NzNotificationDataOptions): NzNotificationDataFilled;
    create(type: 'success' | 'info' | 'warning' | 'error' | 'blank' | string, title: string, content: string, options?: NzNotificationDataOptions): NzNotificationDataFilled;
    template(template: TemplateRef<{}>, options?: NzNotificationDataOptions): NzNotificationDataFilled;
    static ɵfac: i0.ɵɵFactoryDef<NzNotificationService>;
    static ɵprov: i0.ɵɵInjectableDef<NzNotificationService>;
}
